Integer Overflow or Wraparound

Affecting imagemagick package, versions >=0.0.0

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

ImageMagick is a pod that allows you to convert, edit and compose Images.

Affected versions of this package are vulnerable to Integer Overflow or Wraparound. In /MagickCore/statistic.c, there are several areas in ApplyEvaluateOperator() where a size_t cast should have been a ssize_t cast, which causes out-of-range values under some circumstances when a crafted input file is processed by ImageMagick.

Remediation

There is no fixed version for ImageMagick.

References

CVSS Score

5.3
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    None
  • Availability
    Low
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Credit
Unknown
CVE
CVE-2020-27764
CWE
CWE-190
Snyk ID
SNYK-COCOAPODS-IMAGEMAGICK-1066048
Disclosed
04 Dec, 2020
Published
04 Dec, 2020